# Namespace: condition

## ol.events.condition

### Members

#### staticol.events.condition.always experimental

  Always true.

#### staticol.events.condition.never experimental

  Always false.

### Methods

#### staticol.events.condition.altKeyOnly(mapBrowserEvent){boolean} experimental

src/ol/events/condition.js, line 26

  Name | Type | Description
  --- | --- | ---
  `mapBrowserEvent` | ol.MapBrowserEvent | Map browser event.

  ##### Returns:

  True if only the alt key is pressed.

#### staticol.events.condition.altShiftKeysOnly(mapBrowserEvent){boolean} experimental

src/ol/events/condition.js, line 40

  Name | Type | Description
  --- | --- | ---
  `mapBrowserEvent` | ol.MapBrowserEvent | Map browser event.

  ##### Returns:

  True if only the alt and shift keys are pressed.

#### staticol.events.condition.mouseOnly(mapBrowserEvent){boolean} experimental

src/ol/events/condition.js, line 140

  Name | Type | Description
  --- | --- | ---
  `mapBrowserEvent` | ol.MapBrowserEvent | Map browser event.

  ##### Returns:

  True if the event originates from a mouse device.

#### staticol.events.condition.noModifierKeys(mapBrowserEvent){boolean} experimental

src/ol/events/condition.js, line 82

  Name | Type | Description
  --- | --- | ---
  `mapBrowserEvent` | ol.MapBrowserEvent | Map browser event.

  ##### Returns:

  True only if there no modifier keys are pressed.

#### staticol.events.condition.platformModifierKeyOnly(mapBrowserEvent){boolean} experimental

src/ol/events/condition.js, line 96

  Name | Type | Description
  --- | --- | ---
  `mapBrowserEvent` | ol.MapBrowserEvent | Map browser event.

  ##### Returns:

  True if only the platform modifier key is pressed.

#### staticol.events.condition.shiftKeyOnly(mapBrowserEvent){boolean} experimental

src/ol/events/condition.js, line 110

  Name | Type | Description
  --- | --- | ---
  `mapBrowserEvent` | ol.MapBrowserEvent | Map browser event.

  ##### Returns:

  True if only the shift key is pressed.

#### staticol.events.condition.singleClick(mapBrowserEvent){boolean} experimental

src/ol/events/condition.js, line 72

  Name | Type | Description
  --- | --- | ---
  `mapBrowserEvent` | ol.MapBrowserEvent | Map browser event.

  ##### Returns:

  True if the event is a `singleclick` event.

#### staticol.events.condition.targetNotEditable(mapBrowserEvent){boolean} experimental

src/ol/events/condition.js, line 124

  Name | Type | Description
  --- | --- | ---
  `mapBrowserEvent` | ol.MapBrowserEvent | Map browser event.

  ##### Returns:

  True only if the target element is not editable.